polkit-gnome-0.105

Polkit GNOME の概要

Polkit GNOME パッケージは Polkit に対する認証エージェント (Authentication Agent) 機能を提供するものです。 これは GNOME デスクトップ環境に統合され利用されます。

本パッケージは LFS-8.1 において正しくビルドでき動作することが確認されています。

パッケージ情報

Polkit GNOME の依存パッケージ

必須

GTK+-3.22.18, Polkit-0.113+git_2919920+js38

ユーザー情報: http://wiki.linuxfromscratch.org/blfs/wiki/polkit-gnome

Polkit GNOME のインストール

以下のコマンドを実行して polkit-gnome をビルドします。

./configure --prefix=/usr &&
make

このパッケージにテストスイートはありません。

root ユーザーになって以下を実行します。

make install

Polkit GNOME の設定

自動起動

認証フレームワークを正しく動作させるために、polkit-gnome-authentification-agent-1 を起動しておく必要があります。 However, make install did not install startup file for the Polkit GNOME so you have to create it by yourself.

root ユーザーになって以下のコマンドを実行します。 これにより Polkit GNOME の起動ファイルを生成します。

mkdir -p /etc/xdg/autostart &&
cat > /etc/xdg/autostart/polkit-gnome-authentication-agent-1.desktop << "EOF"
[Desktop Entry]
Name=PolicyKit Authentication Agent
Comment=PolicyKit Authentication Agent
Exec=/usr/libexec/polkit-gnome-authentication-agent-1
Terminal=false
Type=Application
Categories=
NoDisplay=true
OnlyShowIn=GNOME;XFCE;Unity;
AutostartCondition=GNOME3 unless-session gnome
EOF

パッケージ構成

インストールプログラム: polkit-gnome-authentication-agent-1
インストールライブラリ: なし
インストールディレクトリ: なし

概略説明

polkit-gnome-authentication-agent-1

Polkit 認証エージェント (Authentication Agent)。

最終更新日: 2017-08-22 08:43:13 +0900